import { toUTCDate } from './to-utc-date';
export function getWeekdays(init) {
    const { firstDayOfWeek = 0, shortWeekLabel, showWeekNumber = false, weekLabel, longWeekdayFormat, narrowWeekdayFormat, } = init || {};
    const fixedFirstDayOfWeek = 1 + ((firstDayOfWeek + (firstDayOfWeek < 0 ? 7 : 0)) % 7);
    const weekNumberItem = showWeekNumber ?
        [{
                label: weekLabel || 'Week',
                value: shortWeekLabel || 'Wk',
            }] :
        [];
    const weekdays = [
        ...weekNumberItem,
        ...Array.from(Array(7)).map((_, i) => {
            const d = toUTCDate(2017, 0, fixedFirstDayOfWeek + i);
            return {
                label: longWeekdayFormat(d),
                value: narrowWeekdayFormat(d),
            };
        }),
    ];
    return weekdays;
}
//# sourceMappingURL=get-weekdays.js.map